Skip to main content
GET
Queue a CSV export of donations or soft credits (async)

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

export_type
enum<string>

When set to soft_credits, exports soft credits instead of donations (file stem becomes soft-credits-export).

Available options:
soft_credits

Response

Export queued.

message
string
Example:

"Export initiated successfully. You will get a notification in Activity when the CSV is ready to download."

status
string
Example:

"queued"

export_id
integer
Example:

512

status_url
string
Example:

"/admin/donations/exports/512/status"